Package org.eclipse.birt.report.model.api.util

# Class PropertyValueValidationUtil

java.lang.Object
org.eclipse.birt.report.model.api.util.PropertyValueValidationUtil

public class PropertyValueValidationUtil extends Object
Utility class to validate the property value.

## Constructor Summary

Constructors
Constructor
Description
`PropertyValueValidationUtil()`

## Method Summary

Modifier and Type
Method
Description
`static Object`
`validateProperty(DesignElementHandle element, String propName, Object propValue)`
Validates a value to be stored for the given property.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### PropertyValueValidationUtil

public PropertyValueValidationUtil()

## Method Details

### validateProperty

public static Object validateProperty(DesignElementHandle element, String propName, Object propValue) throws SemanticException
Validates a value to be stored for the given property.

Parameters:
  `element` - the element to store the property value
  `propName` - the property name
  `propValue` - the value to check
Returns:
  the translated value to be stored
Throws:
  `SemanticException` - if `propValue` is invalid.